Create base
POST
/api/v1/bases
const url = 'https://api.cloudtable.insurge.io/api/v1/bases';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"name":"example","workspaceId":"example","orgId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cloudtable.insurge.io/api/v1/bases \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "name": "example", "workspaceId": "example", "orgId": "example" }'Creates a base inside an organization. Pass a workspaceId, or an orgId (its default workspace is used), or neither if you belong to exactly one org. A base is never created without an org.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
string
workspaceId
string
orgId
string
Examplegenerated
{ "name": "example", "workspaceId": "example", "orgId": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
string
name
string
Examplegenerated
{ "id": "example", "name": "example"}Ambiguous or unauthorized org/workspace
Unauthorized